#
# spec file for package python-django-nose-selenium
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-nose-selenium
Version:        0.7.3
Release:        bp153.1.13
Url:            http://github.com/weluse/django-nose-selenium
Summary:        Adds selenium testing support to the nose test suite
License:        BSD-3-Clause and Apache-2.0
Group:          Development/Languages/Python
Source:         django-nose-selenium-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-django >= 1.2
Requires:       python-nose >= 0.10
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Selenium is a portable testing framework for web applications. It allows you to
write tests that run in the browser to test your user interface and javascript
code that is not available through the usual testing channels. See the examples
below to get a clearer impression of what selenium tests can provide.

django-nose-selenium allows you to write and run selenium tests the same way as
usual django unit tests.

%prep
%setup -q -n django-nose-selenium-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Jun 15 2012 saschpe@suse.de
- Add runtime requirements to python-django and python-nose
* Tue Jun 12 2012 cfarrell@suse.com
- license update: BSD-3-Clause and Apache-2.0
  See LICENSE file. Also, this package contains a copy of Apache-2.0
  licensed selenium.py in thirdparty
* Thu Mar  8 2012 saschpe@suse.de
- Initial version
